﻿using Install.Core.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Install.Core
{
    public interface IUpdateScript
    {

        /// <summary>
        /// 
        /// </summary>
        /// <param name="installPack">安装包资料</param>
        /// <param name="currVersion">还没升级前的版本号</param>
        /// <param name="installPath">安装包中，软件的路径</param>
        /// <param name="showMessage">升级过程，显示的信息</param>
        /// <returns></returns>
        bool Update(InstallPack installPack, string currVersion, string installPath, Action<string> showMessage);
    }
}
